:root {
    --primary-font: "Manrope", sans-serif;
    --secondary-font: "Raleway", sans-serif;
    --tertiary-font: "Poppins", sans-serif;
    --color-black: #121212;
    --color-white: #ffffff;
    --color-primary: #A2C037;
    --color-accent: #956443;
}

body {
    font-family: var(--primary-font);
    color: var(--color-black);
    font-size: 18px;
    line-height: 1.7em;
    overflow-x: hidden;
}

@media (max-width: 991px) {
    body {
        font-size: 16px;
    }
}

@media (max-width: 767px) {
    body {
        font-size: 14px;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--secondary-font);
    line-height: 1.2em;
    font-weight: 400;
}

a {
    color: inherit;
    text-decoration: none;
    transition: all 0.5s ease;
}

img {
    max-width: 100%;
    border-radius: 1rem;
}

.container {
    max-width: 1440px;
    padding-inline: 60px;
}

@media (max-width: 991px) {
    .container {
        padding-inline: 30px;
    }
}

@media (max-width: 767px) {
    .container {
        padding-inline: 20px;
    }
}

.bg-off {
    background-color: #F6F2ED !important;
}

.bg-primary {
    background-color: var(--color-primary) !important;
}

.bg-accent {
    background-color: var(--color-accent) !important;
}

/* Base Typography */
.main-h1 {
    font-size: 52px;
}

.main-h1 span {
    color: var(--color-accent);
    font-weight: 600;
}

.main-h2 {
    font-size: 45px;
}

.secondary-h2 {
    font-size: 34px;
    font-weight: 700;
    color: var(--color-primary);
}

.main-h2 span {
    color: var(--color-primary);
    font-weight: 600;
}

.sub-head {
    font-size: 18px;
    line-height: 1.4em;
    margin: 0px;
    color: var(--color-black);
    border-radius: 20px;
    border: 1px solid var(--color-black);
    background-color: #fff0;
    padding: 6px 20px;
    width: max-content;
    font-family: var(--tertiary-font);
}

.sub-head-secondary {
    color: var(--color-accent);
    border-color: var(--color-accent);
}

.sub-head-tertiary {
    color: var(--color-white);
    border-color: var(--color-white);
}

@media (max-width: 991px) {
    .main-h1 {
        font-size: 38px;
    }

    .main-h2 {
        font-size: 40px;
    }

    .secondary-h2 {
        font-size: 32px;
    }
}

@media (max-width: 767px) {
    .main-h1 {
        font-size: 30px;
    }

    .main-h2 {
        font-size: 28px;
    }

    .secondary-h2 {
        font-size: 26px;
    }

    .sub-head {
        font-size: 14px;
    }
}

.fs-12 {
    font-size: 12px !important;
    line-height: 1.33em !important;
}

.fs-14 {
    font-size: 14px !important;
    line-height: 1.4em !important;
}

@media (min-width: 992px) {
    .fs-16 {
        font-size: 16px !important;
        line-height: 1.6em !important;
    }

    .fs-20 {
        font-size: 20px !important;
        line-height: 1.4em !important;
    }
}

.text-primary {
    color: var(--color-primary) !important;
}

.text-accent {
    color: var(--color-accent) !important;
}

.text-muted {
    color: #525252 !important;
}

/* buttons */
.btn {
    text-decoration: none;
    border-radius: 50px;
    font-weight: 600;
    transition: transform 1.5s ease;
    padding: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    line-height: 1em;
    width: max-content;
    border: 0px;
    outline: 0px;
    color: inherit;
}

.bg-off {
    transition: all 0.5s ease;
}

.btn:hover,
.bg-off:hover {
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
}

.btn-primary {
    padding: 16px 29px;
    color: var(--color-white) !important;
    border: 1px solid var(--color-accent) !important;
    background-color: var(--color-accent) !important;
}

.btn-secondary {
    padding: 16px 29px;
    color: var(--color-white) !important;
    border: 1px solid var(--color-primary) !important;
    background-color: var(--color-primary) !important;
}

.btn-tertiary {
    padding: 16px 29px;
    color: var(--color-black) !important;
    border: 1px solid #00000026 !important;
    background-color: #fff0 !important;
}

@media (min-width: 992px) {
    .left-col {
        padding-right: 50px;
    }

    .right-col {
        padding-left: 50px;
    }
}

.text-green {
    color: #afff64 !important;
}

/* Row Gap */
.row-gap-10 {
    row-gap: 10px;
}

.row-gap-15 {
    row-gap: 15px;
}

.row-gap-20 {
    row-gap: 20px;
}

.row-gap-25 {
    row-gap: 25px;
}

.row-gap-30 {
    row-gap: 30px;
}

.row-gap-35 {
    row-gap: 35px;
}

.row-gap-40 {
    row-gap: 40px;
}

.row-gap-45 {
    row-gap: 45px;
}

.row-gap-50 {
    row-gap: 50px;
}

/* Column Gap */
.column-gap-10 {
    column-gap: 10px;
}

.column-gap-15 {
    column-gap: 15px;
}

.column-gap-20 {
    column-gap: 20px;
}

.column-gap-25 {
    column-gap: 25px;
}

.column-gap-30 {
    column-gap: 30px;
}

.column-gap-35 {
    column-gap: 35px;
}

.column-gap-40 {
    column-gap: 40px;
}

.column-gap-45 {
    column-gap: 45px;
}

.column-gap-50 {
    column-gap: 50px;
}

/* General Gap */
.gap-10 {
    gap: 10px;
}

.gap-15 {
    gap: 15px;
}

.gap-20 {
    gap: 20px;
}

.gap-25 {
    gap: 25px;
}

.gap-30 {
    gap: 30px;
}

.gap-35 {
    gap: 35px;
}

.gap-40 {
    gap: 40px;
}

.gap-45 {
    gap: 45px;
}

.gap-50 {
    gap: 50px;
}